edu.isi.pegasus.planner.catalog.site.classes

## Class FileServer

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.site.classes.SiteData
  - - edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData
    - - edu.isi.pegasus.planner.catalog.site.classes.FileServerType
      - - edu.isi.pegasus.planner.catalog.site.classes.FileServer

All Implemented Interfaces:
  java.lang.Cloneable

    public class FileServer
    extends FileServerType

This class describes a file server that can be used to stage data to and from a site.

Author:
  Karan Vahi

### Nested Class Summary

### Nested classes/interfaces inherited from class edu.isi.pegasus.planner.catalog.site.classes.FileServerType

`FileServerType.OPERATION`

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.catalog.site.classes.FileServerType

`mMountPoint, mOperation, mProfiles, mProtocol, mURLPrefix`

### Constructor Summary

Constructors
Constructor and Description
`FileServer()` The default constructor.
`FileServer(java.lang.String protocol, java.lang.String urlPrefix, java.lang.String mountPoint)` Overloaded constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(SiteDataVisitor visitor)` Accept method for the SiteData classes that accepts a visitor
`Profiles` `getProfiles()` Returns the associated profiles
`java.lang.String` `getURL()` Returns the externally accessible URL composed of url prefix and the mount point
`void` `toXML(java.io.Writer writer, java.lang.String indent)` Writes out the xml description of the object.

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.FileServerType

`addProfile, clone, getMountPoint, getProtocol, getSupportedOperation, getURLPrefix, setMountPoint, setProfiles, setProtocol, setSupportedOperation, setURLPrefix`

### Methods inherited from class edu.isi.pegasus.planner.catalog.site.classes.AbstractSiteData

`toString, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileServer

    public FileServer()

The default constructor.

#### FileServer

    public FileServer(java.lang.String protocol,
                      java.lang.String urlPrefix,
                      java.lang.String mountPoint)

Overloaded constructor.

Parameters:
  `protocol` - protocol employed by the File Server.
  `urlPrefix` - the url prefix
  `mountPoint` - the mount point for the server.

### Method Detail

#### getURL

    public java.lang.String getURL()

Returns the externally accessible URL composed of url prefix and the mount point

Returns:

#### toXML

    public void toXML(java.io.Writer writer,
                      java.lang.String indent)
               throws java.io.IOException

Writes out the xml description of the object.

Specified by:
  `toXML` in class `AbstractSiteData`
Parameters:
  `writer` - is a Writer opened and ready for writing. This can also be a StringWriter for efficient output.
  `indent` - the indent to be used.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### accept

    public void accept(SiteDataVisitor visitor)
                throws java.io.IOException

Description copied from class: `AbstractSiteData`
Accept method for the SiteData classes that accepts a visitor

Specified by:
  `accept` in class `AbstractSiteData`
Parameters:
  `visitor` -
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### getProfiles

    public Profiles getProfiles()

Returns the associated profiles

Returns: